package org.processmining.lpengines.utils;

import org.processmining.framework.util.Pair;

public class LPSolutionUtilities {

	public static Pair<double[], Double> round(Pair<double[], Double> solution) {
		double roundedSolutionValue = Math.round(solution.getSecond());
		return new Pair<double[], Double>(round(solution.getFirst()), roundedSolutionValue);
	}

	public static double[] round(double[] solution) {
		double[] result = new double[solution.length];
		for (int i = 0; i < solution.length; i++) {
			result[i] = Math.round(solution[i]);
		}
		return result;
	}
}
